## drnoksnes 1.3.0

=== Makefile ===
#!/usr/bin/make

CPPFLAGS := -I. $(shell sdl-config --cflags) $(shell pkg-config --cflags x11)
LDLIBS := -lz $(shell sdl-config --libs) $(shell pkg-config --libs x11) -lpopt

-include config.mk

# Sane defaults
CONF_GUI?=1
ifeq ($(ARCH),armel)
	CONF_BUILD_ASM_CPU?=1
	CONF_BUILD_ASM_SPC700?=1
	CONF_BUILD_ASM_SA1?=0	# Still not there
	CONF_BUILD_MISC_ROUTINES?=misc_armel
else ifeq ($(ARCH),i386)
	CONF_BUILD_ASM_CPU?=0
	CONF_BUILD_ASM_SPC700?=0
	CONF_BUILD_ASM_SA1?=0
	CONF_BUILD_MISC_ROUTINES?=misc_i386
endif
# Hardware pixel doubling (in N8x0)
CONF_XSP?=0
# Hildon Desktop compositing (in Fremantle)
CONF_HD?=0

# SNES stuff
OBJS = apu.o c4.o c4emu.o cheats.o cheats2.o clip.o cpu.o cpuexec.o data.o
OBJS += dma.o dsp1.o font.o fxemu.o fxinst.o gfx.o globals.o loadzip.o memmap.o 
OBJS += ppu.o sa1.o sdd1.o sdd1emu.o snapshot.o soundux.o spc700.o srtc.o tile.o

ifeq ($(CONF_BUILD_ASM_CPU), 1)
	# ASM CPU Core from yoyofr's OpenSnes9X
	OBJS += os9x_asm_cpu.o os9x_65c816.o
	CPPFLAGS += -DCONF_BUILD_ASM_CPU=1
else
	OBJS += cpuops.o
endif

ifeq ($(CONF_BUILD_ASM_SPC700), 1)
	OBJS += spc700a.o
	CPPFLAGS += -DCONF_BUILD_ASM_SPC700=1
endif

ifeq ($(CONF_BUILD_ASM_SA1), 1)
	crash
else
	OBJS += sa1cpu.o
endif

OBJS += $(CONF_BUILD_MISC_ROUTINES).o

# from open-whatever sdk
OBJS += unzip.o ioapi.o
# my extensions to snes9x (speedhacks support)
OBJS += hacks.o
# the glue code that sticks it all together in a monstruous way
OBJS += platform/path.o platform/config.o
OBJS += platform/sdl.o platform/sdlv.o platform/sdla.o platform/sdli.o
OBJS += platform/sdlvscalers.o

ifeq ($(CONF_XSP), 1)
	CPPFLAGS += -DCONF_XSP=1 $(shell pkg-config --cflags xsp)
	LDLIBS += $(shell pkg-config --libs xsp)
endif
ifeq ($(CONF_HD), 1)
	CPPFLAGS += -DCONF_HD=1
	LDLIBS += -lSDL_haa
	CONF_EXIT_BUTTON ?= 1
endif
ifeq ($(CONF_GUI), 1)
	CPPFLAGS += -DCONF_GUI=1 $(shell pkg-config --cflags libosso gconf-2.0)
	LDLIBS += $(shell pkg-config --libs libosso gconf-2.0)
	OBJS += platform/osso.o
endif
ifeq ($(CONF_EXIT_BUTTON), 1)
	CPPFLAGS += -DCONF_EXIT_BUTTON=1
	LDLIBS += -lSDL_image
	OBJS += platform/sdlvexit.o
endif

# automatic dependencies
DEPS := $(OBJS:.o=.d)

all: drnoksnes

clean:
	rm -f drnoksnes *.o *.d platform/*.o platform/*.d
	rm -f build-stamp configure-stamp

remake: clean deps all

-include $(DEPS)

drnoksnes: $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ $(LDLIBS) -o $@

install: drnoksnes
	install drnoksnes $(DESTDIR)/usr/games

deps: $(DEPS)
%.d: %.cpp
	@$(CXX) $(CPPFLAGS) -MM $^ -MF $@ -MT $@ -MT $*.o
%.d: %.c
	@$(CC) $(CPPFLAGS) -MM $^ -MF $@ -MT $@ -MT $*.o
%.d: %.s
	@touch $@

# GUI
gui:
	$(MAKE) -C gui all

gui_clean:
	$(MAKE) -C gui clean
	
gui_install:
	$(MAKE) -C gui install DESTDIR="$(DESTDIR)"
	
ifeq ($(CONF_GUI), 1)
all: gui
clean: gui_clean
install: gui_install
endif

distclean: clean
	rm -f config.mk

.PHONY: all clean remake deps install gui gui_clean distclean

=== debian/changelog ===
drnoksnes (1.3.0) unstable; urgency=low

  * Diablo config dialogs updated.
  * Allow player 2 to use onscreen controls.
  * Diagonals in onscreen controls.
  * Diagonals in keyboard controls.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  8 Feb 2010 20:19:15 +0100

drnoksnes (1.2.6) unstable; urgency=low

  * Using SDL_haa for scaling in Fremantle now.
  * Reworked GUI key mapping gconf entries.
  * Using GConfClient instead of HGW. Removing dependency on hgw.
  * Moved config file from ~/apps to ~/.config
  * Added new "saver" setting.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  1 Feb 2010 02:26:00 +0100

=== debian/control ===
Source: drnoksnes
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev,
 maemo-version (<< 5.0) | libsdl-haa1.2-dev
Standards-Version: 3.7.2

Package: drnoksnes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup
Pre-Depends: maemo-select-menu-location
Description: Super Nintendo Entertainment System emulator
 A Super NES emulator. It allows you to play some games designed for the SNES
 and Super Famicom Nintendo game systems on your tablet.
XSBC-Bugtracker: 
 https://garage.maemo.org/tracker/?func=add&group_id=1014&atid=3790
XB-Maemo-Display-Name: DrNokSnes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAABwxJREFUSMe9
 lm1wlNUVx3/3Ps+zu8/uZnfzok0gIQQkEN6UwRAQQaQSQMdW21KKxU51xumL49DR
 L/1QtXX80k5Lmc60M7XT2plia2U6FUEQC4EgrWAgicFIDCEJCUnQkLfNvmT3ee69
 /RCgSlvb6YfemTtzZ86553/PPef8z4H/0xKfJmw81sBd69YDcLatrTwcdndEIuG6
 YDBQkc/nB9LpzKlMJrtr8ZKl/f8T0BsHXmfTvfcB0NvT9ZIbCj00lcvi5abwvbzS
 WhkppbCdgOUEXEIhl+zU1Cuzq27Z+l8DPfXkd/jJzl2cfbdlR2FRYlc2nfRHRsft
 jr4rpDJ58r5Ca4OUAseWRN0ACypvoqQw7rvRuD02Ov7UkluX7axZMJ9zHR/8a6A/
 /uF3bN32MOfa2w4FHLt+ZHSEU+39eL5GSgHGYG58pRBobbAtQd2iCoqLS/A8/3DN
 oqUbPm5bXjvs/PEP2brtYd5ra26yLD7b1dtPY3M3nq8AjdYaT2mKooLKYkFRVOAr
 jdbTcl9pGlt66OrpQ0pz93ttZ1oAVq1c8c8eNRx+4+kZM0p/0Nt/WbR1DSHkP8RG
 wy2lkvZBODfkU1Nmc1uFoGNQfcKKUoZb55Uyu6KMy0MfPrduff2zQohpFWMMQgi7
 4/1WbyKZ5PA757Gt687iK8P8GQF+2zDI/lOXQErwFfeuLGfbmhkMjvmfiLOvNPfU
 ziMWi1Gz6Lbgr375c19Of7Og4fDB17Tv+cebLyAFKKVQSuH5ipryEAUBn/1NSQgl
 IBCHcCEHmpIUh318X13XV0ohheHYmfMoL+8fPXxw32PfeFzb115xc0nx5vFkimwu
 jxTiuicLZ0UIOpKcBxF7nEy4GqM8sAK46gNGUxpfqemAC8HVq+SVZnwyZZeUFNcD
 0gJ44vFvrlm2bOkjTe29ZKbyaK1R2lBdHiEWFNMBkhZLbs5z5EQLRkVgpJUfba/i
 w1SAuTMjlBY7uI5kLJXHmOncnEznKC8tJB6LHbcBVtQuf0KAuTKeEuoqSFVphHEv
 zcvDH+JpzcaiUubNreKFHQVk0mlisVUMTdosKAsRPduL7h8iUlNFQXUZrZ0TSCkY
 mUghgSWLF37bBkgk4sukQKczOcu2LYyBXH6c715oYTI1CcBxt4tnK5ewuLISSwra
 uyeoroygX9zHcM9FbNtGtbQiahdTuqKOy6MZ0jkPISCRSNwmAZyAEzMYcp6HUgow
 nL48QFZoiLgQccnbgreG+hBS0NY1yuI5Ca6kUoQu9FHiBEgISbHtEDh5loA7XWN5
 zwdjsG2rQAJMTCSzRmswoLTG8xUVOPjGh1gYYmF8C6pFiNbOERZVFaK0ISgEPV6W
 UidIoWVT5gQ5Fw+QHM+itMZg0EYzMZnKSICLvX2dnq9k0LHQSuN7Pq5bwqaeNDR3
 Qut51rx/BdcuYUlVEdm8JudpCiMRBh68i19fvsjpoUF+OnqJwi0b6f8ojfIVQdvC
 9xWX+i512wAH3nhz9x131G2IF7h8NJrEGBgcU9xas4q1dg6BYXjKYeH8CoKTHxAd
 fhvpuEzEV1JXu5zBinKSkyk2fKaEMxdSIMBXipJElEw2x1+OHH3pGnnMePPg3oFA
 yOWVQ03TBHqVn/RVFnWDFstKRpiVehNfTf99KByls+BL3FRWTjBgs/9EN77SGGPw
 lebL9bV4+SwbNz9QdY1nBs80t3S6AUtJKa7WkcbXGm2mt2OBSHYRj0coTkQpLiwg
 GoTU6CBuwGZv43lyeQ9fKbTWWFLgBizd3NzaBfR+nFTX7nt1T2M8EefFvSdwbOsT
 /OVYkpnBYb5Y3kKiIIRtSTp6R2h2HqRzGPKeul6onq945PNrmBgf5/4Htqw3xhz9
 uLWLrhtavWB+9dzy0hI6egaRQmIMGAOe0sQSRRw6Pcx773fT0DbGOb2cwUwYzwdt
 DMbAVM5j0+qlBKThz3tfO/LY17/2/N331JsbO2zB8889072idnnRaConX29sJeDY
 XGt3RkMkCEVRCQgGRnIgHQwGgSDnedy3dhlF0YBpOt2c/N4zz80FRgCsG4DyDUcb
 /zR37pxHZ88qC65evpB3O/uYynkIBAjIK5jIwkRWY5AYY8h7CsuSPPqFdUjt0dR0
 ZvLp7z9/OzCw/atbaTvb/m+noNKHvrJlz+ZN9XfOnFGqjXTkkVPtfDQyQTqbw/N9
 HNsm7Aa4uSjO+rpF2Cg9MHhZHjh46OTvX96zBbi0e/dv2L790U8ftyorZwUvXuy7
 f8cT39q5ovb2ikgkTGEiTjjsYtsWyleks1OMjY2TyWR4p+nM0K6f/eLJOVWzX+3u
 6Z1au2Y1x9/663+e64QQwkynUQxYu2D+vM+tWll3Z0X5zJnRaDScTqez/ZcGBt4+
 eepv5zo69wLHgKTjOMLzPHOjvb8DU7Jc01sC1qoAAAAASUVORK5CYII=

Package: drnoksnes-dbg
Architecture: any
Section: devel
Depends: drnoksnes (= ${Source-Version})
Description: Debug symbols for the DrNokSnes emulator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ARCH				?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Determine Maemo version
MAEMO_VERSION := $(shell cut -d"." -f1 /etc/maemo_version)

# Determine app version from debian changelog
GAME_VERSION := $(shell head -n 1 debian/changelog | sed 's/[^0-9.-]//g')

# Default CFLAGS
CFLAGS := -Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
CXXFLAGS := -Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
GUI_CFLAGS := -std=c99 -fPIC -shared $(CFLAGS)
LDFLAGS := -Wl,-z,defs
GUI_LDFLAGS := -export-dynamic -avoid-version -module -shared $(LDFLAGS)
ASFLAGS := -g

M4=m4
M4DEFS=-DMAEMO_MAJOR=$(MAEMO_VERSION)

# Architecture specific CFLAGS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
	GUI_CFLAGS += -O0
else ifneq (,$(findstring armel,$(ARCH)))
	CFLAGS += -O2 -ffast-math
	CXXFLAGS += -O2 -ffast-math -fno-exceptions -fno-rtti
	GUI_CFLAGS += -Os
	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
		CFLAGS += -march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
		ASFLAGS += -march=armv6j -mfpu=vfp -mfloat-abi=softfp
	endif
	ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
		# Fixes hang while exiting in Diablo.
		CFLAGS += -static-libgcc
	endif
else ifneq (,$(findstring i386,$(ARCH)))
	CFLAGS += -O2 -ffast-math
	CXXFLAGS += -O2 -ffast-math -fno-exceptions -fno-rtti
	GUI_CFLAGS += -O2
else
	# Don't support anything else
	crash
endif

debian/control: debian/control.m4
	$(M4) $(M4DEFS) debian/control.m4 > debian/control

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(M4) $(M4DEFS) debian/control.m4 > debian/control
	$(M4) $(M4DEFS) debian/drnoksnes.postinst.m4 > debian/drnoksnes.postinst
	
	echo ARCH="$(ARCH)" > config.mk
	echo CONF_GUI=1 >> config.mk
ifeq ($(shell expr "$(MAEMO_VERSION)" ">" 4), 1)
	# Maemo 5 devices do not support Xsp
	# But they support hildon compositing stuff
	echo CONF_HD=1 >> config.mk
else
	echo CONF_XSP=1 >> config.mk
endif
	echo ASFLAGS="$(ASFLAGS)" >> config.mk
	echo CFLAGS="$(CFLAGS)" >> config.mk
	echo CXXFLAGS="$(CXXFLAGS)" >> config.mk
	echo LDFLAGS="$(LDFLAGS)" >> config.mk
	
	echo CONF_NLS=1 > gui/config.mk
	echo CFLAGS="$(GUI_CFLAGS)" >> gui/config.mk
	echo LDFLAGS="$(GUI_LDFLAGS)" >> gui/config.mk
	echo MAEMO_VERSION="$(MAEMO_VERSION)" >> gui/config.mk
	echo GAME_VERSION="$(GAME_VERSION)" >> gui/config.mk
	
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	rm -f config.mk gui/config.mk
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/drnoksnes GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_installman
	dh_gconf
#	Fixes a nasty bug with dh_gconf & busybox
	rm -f $(CURDIR)/debian/drnoksnes.postrm.debhelper
	dh_link
	dh_strip --dbg-package=drnoksnes-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## drnoksnes 1.3.1

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,8 @@
 CONF_XSP?=0
 # Hildon Desktop compositing (in Fremantle)
 CONF_HD?=0
+# Link to libzeemote
+CONF_ZEEMOTE?=0
 
 # SNES stuff
 OBJS = apu.o c4.o c4emu.o cheats.o cheats2.o clip.o cpu.o cpuexec.o data.o
@@ -77,6 +79,11 @@
 	LDLIBS += -lSDL_image
 	OBJS += platform/sdlvexit.o
 endif
+ifeq ($(CONF_ZEEMOTE), 1)
+	CPPFLAGS += -DCONF_ZEEMOTE=1
+	LDLIBS += -lzeemote -lzeemote-conf -lbluetooth
+	OBJS += platform/zeemote.o
+endif
 
 # automatic dependencies
 DEPS := $(OBJS:.o=.d)

=== debian/changelog ===
drnoksnes (1.3.1) unstable; urgency=low

  * Fixed issue with Fremantle player 2 GUI.
  * Adding (single) zeemote support.
  * Initial SDD1 pack support.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 12 Mar 2010 21:15:25 +0100

=== debian/control ===
Source: drnoksnes
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev,
 maemo-version (<< 5.0) | libsdl-haa1.2-dev,
 libbluetooth2-dev | libbluetooth3-dev, libzeemote-dev, libzeemote-conf-dev
Standards-Version: 3.7.2

Package: drnoksnes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup
Description: Super Nintendo Entertainment System emulator
 A Super NES emulator. It allows you to play some games designed for the SNES
 and Super Famicom Nintendo game systems on your tablet.
XSBC-Bugtracker: 
 https://garage.maemo.org/tracker/?func=add&group_id=1014&atid=3790
XB-Maemo-Display-Name: DrNokSnes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAFBdJREFUaN61
 mnmQXMd93z/d7543Mzu7s7PYA4ubAAGCNxmetkSRYkiRlETTslKKSybtyDLtUI5z
 uCqRSzEV2UopsiU5JdmW7FCW5IqiiyIN8BCP0AoP8wB4gTiIg1hg72t2rjfv7M4f
 M7vAApQtlqWu6pp6M29e/37dv/7+vr9vP/gZNa31z/X+n0trNmr/lJFSa21orY2f
 lzPindx85M2DbNl6Lrt3PSjed8ttUgiRAfzZF7/k3XTzjRts274WzbWmZe4wDKPf
 ssxhIYSptVZJko5nmVpMk+QAQjwdx9HTjz76+NF7PnFPu+uE8dW/+Ir6+N2/o8fe
 OsL6jVt+tg784Hvf4fY7PoQQp/7y3LNPnz86Onob6F+UUr7bMAxHqQyVZWRZhtYK
 rTVCCISQGIaBNAykNMiyLFFK/xjBjyfGJx684sqrXzl9RU4f55/twPe+823u+NCH
 hRBCA3zrm9+oXHXVFZ/yPO9XBZS0VqRJTByHaRzHMk1TkWUKpTKxbIyUhjYMiWma
 2rZtZdmOaVkOQkg0NNvt9rf27z/w3257/wcn34kTP5UDOgulMFz12U9/xr/9lz/w
 7/x8/j8I6E2SiDSJknY7FI0gNFrtSNSaIa0wIU0V7TiBbni7jollSHKeRcl38T1H
 F3w381xPm7ZjWbaD1iy1Ws0vPPiDXX/6+5/8z81adc7o6a1kWmt+/a5f476vf+On
 d+C/f/YzvP+2W9mx8yIAvvrVr6x/z3XX/a3netckSUwUBioM28wuNuRctUW1GdKO
 UqQUnYcKEKc9XqNBg9agtMa1TXoLDpWSz5q+gnK9HLbjSdt2aIftF1548cV//ZGP
 fPTIP7USP/GXo4cPsPmc7QA88dgj79qwccM3LNNcF4dBEkWhNbtY5/jUEkutkCzT
 GFIghUD/lHGrtCbNFKYh6ck7bBgsMdDXg+O4mePljCRNT44dP3Hne2648UmAx370
 kHjvje/T7ziEnn367z86OLjma0IKOwxaaRAE5tHxecbnGijdMVwgOjN8WlMK1Glf
 SQFSnjl4539ZphEC1laKbF5bxvf9zPV8Q2udzczMfOyqa951n9ZaCiHUmSsizzT4
 K1/+ElprAfD4Yw/dMTBQuQ+0HQVNVa3Vzb2HJhib6eC/IcVKSOjTwkNryDmC/qJk
 sCSpFCU5p3Nvps6+1zAEQsCJ2Rp7D01SXaob7aChtFZGpVL5X08+/siHu8bLM8PJ
 PP3i3v/6B9z9259ACKH/5ut/ddnI8Mh9oGUUBmqh2pCvHp6i2Y6xDInuDn7mrAsJ
 gz2Cki8wZKcrpUkVNEPBTE0RpRopTk9knU9DCKr1NnsOTXDROUOy3Iu2HU8MDQ19
 7VvfuO+4EOL5Zn3ByBfL2VkhdPrS/MZdv1a5557ffiyfz18YhkFar7fMvYcmaLVj
 TFOizrBcdI3QwFBJ4juasQXBeBXqEeRtGO2DDX0aLQxOLmTEXSc0Z4dVkmbkczYX
 bx2h1JPXjuOJVqu178tf/ovrv/bX982+8PzT8vLzz1ci1/P2e+CJxx/+4ujatb+b
 pUnaDFrmngPjVOttTFPydllf01mNtX0mho54fH/MK8dbHDg2SdBs4/ou2zeNcOH6
 HDftdNCGy4mFZBVKrXJCQJoqSgWXy7aP4udyqWnZ5snx8S9ff8PN//b0yV7ZA48/
 ulsAfPaPPn1ppdJ/d5YmZGlivjk2x0ItWAmFTuic6lmmUJlmsGRS8hRPvr7Erj1z
 7Dk4ThAphOsRRoqXD42ze88cT7xexZYJniW7++HsrlQHHBZqAYfGZknTxEzThEql
 /3e+8Cefu1IIwVNPPipXOXD9je8D4Oqrr/yUaRi2UpmaWahxYqaKFJAphXqbrrVm
 uM9iqNdiqd7miTeaNEINhouwc2jpguOD4dKIND96vUkrCHEtyDKF1m//3EwppBSc
 mK4ys1BDZSmmNLj0kos+CfCu627UIyNrT21iIYT+/Oc+++6879+glSKJY3H4xBxp
 qjANcVboaEArzdp+l8FeG5WlhFHE2EKEkh5Y3ur4NiBMBWPzbeI4RtpuZ0Ul/GNk
 NEkzjpycp7+Ux7Ylvu+/5wt/8rnrhRBP7H3hGWMVjO7Yvu12x7FzaJVMzdfFfD1A
 Cs4KHaUUaaoY7LMZ7LU6oQCgFQUjRCsBVg5M91S3cqAkRStEaU2SLs/+24fRcpdC
 sFAPmJqvgVZYtpXbtm3L7QAXX361XnHgY79x5ybPc28SUhDFiTE5XyOOU+gafHpP
 UsVgr8VIn3MK1xH4ns0lIwrCJtL2wcyB4YDld67bDS4dUbi2RRAplFYkaUaUZMRJ
 Rpoth+WpsUATxymTczXiJEEKged6N/3mv/n1TUIIteLA5k2btvu+vxWVqVY7lHPV
 RnfjqlUzEqcZA7026wc8BCCF6GRZIfG8HO+9sI8Rexw1ebATZ1YRMoGaPMSQM8HN
 F5cJE0mjnVL0TNb0OowOeAyWHfKegdaaNF09piEFc9UGzSBE60z5fm7z5k0bd6xK
 ZGvWVK60bQullK412zSCCNsyyPSpPKE0DPW5bB5wSZOUbsLuOgKmaTM6PMBv3RTy
 8HOHef3kMRotjedqLliX47ZrtzIwUGZ8STNU9qiULAwpOxOlNUmmaAYZk/Mh7ShD
 drOdENAIIpaabYq+py3LYmBN/5XArmUHrHzevxqtyTItFmqtbujolXIvU5pKyWFD
 2Wa22eJ4mjKjEiI0vcJkrTRZa9vkcjk2bd7AR3qLLCwsEkURtm0zUCmT7ykxVVVU
 Sg79nsKYrOLW2lhRSmIbUMpRKOfYMOjx1lTQdYKViVpYajJSKUkhwPf9q4DcsgN5
 13U3aUBrJerNsDPrSnXQRoNtSkZLNscWF3iqVef16jRHZyZJk5i+YokdQ+u52M3z
 7vIAed/HcWzK/f2oTGFZBgiDo1MBxaJL0UgQe08gT84wdewt4mYT2/fp27QRRtcg
 z1/PcNnh6ESrQ0+6PLzeDFFKIaWB57qbekul/LIDnuM4/cv8phmEaKVR3R8zpRku
 uQRRi13TJ3iuMU+ttgjSAMdmMajzzNghxnsr+EnKNes24LkurgumhEzBgbEaPXmX
 So9B65l9uK8fY3F2FqE1rmWhgoDq/gMU5+aJ0jb25TvJuwZLrQRTCrTSNIIIrRFa
 KxzH6e/p6fEkgOu6tmmaue7uF+0oQS2jj9ZkSlN0JIer8zxfnydUKbguODbYJsLz
 0IZgOg54cn6COAhRXXKWKTh4okbeM9k4nKe+WMPedwQZtMkJiW/Z5IQk3/2UQYD1
 2mGiRgPHkaSZItMahSaKE1S3zjZNM2dZpmUCWJZpCCFkB7YEabcgV13GrjSYQlNr
 t6nGTUzXA2GtSmoICLOI6UQRtSO83iJKad54q0ohZ7FpuEA7yQhaAf58FcswMQ3j
 FPkBMAxElEArII4ipJ3romAnaaZZBpouvCIBwwRIkpQ4ibXWnjjFLvUpqquhHacY
 SQatiLSQ76RWrZfvBsOAWp1cJNCiAwD7j1dxbYPNw0XSrBPHqVYskNGbCFzbIlVq
 hdIZQhIlMYsiQ6UZscg6VFFplFYIYawgYhzHWZKmnUQWhqEKgnaoOiWUtiyzy32W
 w0hRbacMOjlG2hrCEOm74FhgG5BzwJJQb3G+mQPL4rUjC5iGYOtoD0nWAQNDCBw/
 x+SaEkthgG8Y5KWBKyR5w8Q3DKpBwPRgL8J2CNpJpwjqIqJpSKBjUzsMoziKVhJZ
 3Gw0a0plCAG+a3WIVtcJlGa2HlHIFfmXpUGM/SdRE3NgGZD3IIxh3zG21xSXr1nL
 oYkmppRsX9+H0gKERCCQUtJTKCAu2MrTRsremWmkUpQNAyPNeGV2mmeMFHnxNmJl
 UmvGnaIzU2SZwnftLjgqmo1mvdFopssoFC5Wq1MbsnWDti3o8T1OZIsrJSNAO0qZ
 rAsuXL+JO8OIx/cdZvy1t8iEppAJLiiVuWHnTpYSm54elx2b+gjjDK05pVIIQd51
 Gd20nsb1V/Cj5/by4+kxcnFKYEjC4TLrrrmUwXXrODEXk6lTdXSWZfTkPYQQZJmi
 Wl2aaTSb0bIDjcmp6VcvOP+8i9Fal3vzYlkxOL36qgWKOJVs3bKdwb4K9aUqWZri
 5nz6KhVqiU0hl+PcDWXCZo2iqFIQDUyRESiPuu4hNEr09/Zywfnn0ddfZmp6lna7
 Tc512Do8yODAAOMLGc1YYUjZodVCkCpFf28egdZpmorJqamXgcayA/HY8bEXm83W
 nTnPo5T38D2bKE6QcjWVbrY1QQSe209hqA8pNJmWzIYghcHGkTJhbYrB7DCicYyF
 uTGyNMQr9NM/cA7zYpSWfy795V7yeZ8No2tJ0xTHtrAsizfGasw3YixTLqMNqVLk
 XYdSIUeaZjRbLY6PnXgJaK5woX37DxyenJpaKPWWyvmco4b6e+TBt6bIufYq9bjj
 kKARKpQSK5tTodk40oORtcgtvYyZHqZRW8Q2JcLKoaIawfRr9BbnWYpM7MEdFPI+
 vu9jGh0ceungDHO1qGv8qTHDKGH9cJlCzqEdhnJqanpp3xv731xVke3bt//lyYmp
 Z4MgQKD1+uEytmV0c8JqSo1WGFJgmxLHNDDNTnWec23S+iS96XEMoSn4OfK5zmoW
 8gU828SlSaF1gEYQAxrDECgNew/NMj7bYcBZdmqsNM2wLYP1Q2UEmnbQZmpy6tl9
 +/a/cqYuNP/8Cy89NT83T9COjHWDfbrSWyBK0rNrVq3JlCLt9qwLtVJAGgU4uo7r
 mPg5h5xnk/Mccp6F73s4IsLIGgRBiGl0RII9B6c5PrWElJxF36MkodJbYP1QmaAd
 sbC4yPMvvPR/gTmttTDPkFUeuubaq+7q6+vb6bm2vnTHBjExVyXNsn9Un+yIVBDF
 CTqBuVCytddECHMVCNimZHEpZbZlYPR3JuKVN2cZm651AEOtri0zpRBCcNG569FK
 EQQBx4+feOPhRx/brbVmaHjNqRXoGnjsgQd2/838/AL1RksOV4rs3DxCnLx9ZXZ6
 YY9WtFohiSxyaDFPGGeUijnyOYec61AqeLi2xfhCxlQ8gGOZvHhgmqMT1Q5cn/FM
 tCZJUs4/Zy3DlSL1RpP5+QUeevjRbwLHhRBMT82eJS3GL+3Ze/+LL+39cRAENJuB
 uuy8jQz19xCE8cpKnS2DdOjAbLUJdoE54xzuf77KoRM1fNdmTa9HO1I8tmeaZ8YL
 GKVNHB6v8tZktVtzq67MeKoHYcxgfw+Xn7eRVitQQRDw4kt7n3vm2X94QGvdBugp
 FvVKXBQLBeqNBgDlct9Hfv8//t5XztuxvadUKqgo0fLBp15modbEtS14Ww1akGaK
 /qLFQFFy8sgB6hP76DVbOIaiGlkk7hCj2y4hEnmm6ymWaZ1OB1daEMZUegvc9q6L
 yTkmi9Ul9h842Pzc57949/z8wneA2LZt4jhm5fAtiuOVB7Tb7amlpSWxaeOGX7Bt
 V/YUfL1uuCImZ6o0Wsubr6slrvSOghBEKXGiWbNmALu4hqY5QGCvxRs4h+EN22il
 DjP1FLPDI1c9RyAIo4RyqcDN115AIWezWF3i5Mlx/b+//d0/PXz46De11s17772X
 QiFPGEYYP+HUMPz4x3/rrSRN+jZuWH+hkFL0lfJsXDvAXLXOQq2JFOJtxPmOTB6E
 GfUgRZoOuXyRXKGEsPMstjS1turQ6GVBVSwLw4ooSVm7po9bfvEi8p7JwuISs7Nz
 /PDBXX/71N//vy9qrSeFEFpKQbsdLstNZ7d7771X3/WxO2vf/+79h4G1w0ND2xCC
 fM7T2zePCqU1U/NLnc0tRBcATk92EqUhiBS1tqIeZASRItMSuSJFdah4plQHvTRc
 smMDN1x1Hgaa+YUqMzOzPLjroYd27X7kj//wDz956Lrrrs96Sj2EXeN/4gFHf6Wf
 +bl5tmzbIo8cOnLJe6+/7t/feuvN/2pkeEgUinnVVyrJk9NVXnzjGJOzVaI4wbYt
 jK7crM8QaldXPp1Rs0wRxSmOYzFUKXHFzs2MDJRYqtd1s9kSExOT7N79yHcefeyJ
 z3/4V+547dv/53uRn/dpNVurIF38pIPn5Zt+6fb32z+4/8Fzdp634zc/dMcH79py
 zuaC67pUyn3YjsPY5DxHTs5yfHKOWiPAkBLRZZ5CiOVyZ5Vwq7SmmPdYP1xhy+gA
 G0cqJHHM3PwiYRRy+PDR8IcP7Prrl1959au//EsfOPjd7/8wFkLwx5/5FP/lDz79
 zk8p09aCNP3ySLFQuOOW9930q1decdml5XKZnp4ivaUeDNOk2Y5ZrLWYnF1kvtqg
 1Y6oNYLu0ZOgp5DDdx36e/MMD/TR1+NT8B2yJGGp1qBerzM/v8A/vPDSK7t2P/Kt
 er1+///8wv84cc/v/ac053l8/S//nF/56J3v/Ji1p1ikVq8vX/YCO4eHBm/6wG23
 fPDcc7dt7+8vi1zOw3Vs7bouhmkipSGklCsnlcsnlJ0kleksTQnDiCiORStoszC/
 wMGDh97c/fCj94+dOPkI8KrWSU0IS50O7//sVw0AfvcTd8sv/dmf9wOX7Ny549Z/
 cdklvzA6OrpleHgol8/7GNJAGhLTMDAMAyFE9xwhI82yjnSeKVrNJpNT09HJk+Nv
 vrhn7zOvvbbv74BXbr3lptldux9JOzW+wdqRYcZOnPzZObDc7vjg++3v//DBCrBl
 zZqBK0aGh3asX7du29DgmpFyua/X932vUMgby3up3miqoNlqLywuVqdnZiaOj518
 c3xi4sDMzOzzwOHbP3DbzP0P/F28TGtM0yRJkp/tyx5nHostv5EihPCBHmAAGDRN
 s880jIJhGrmu/ppladZKs6yZpukiMA3MArVXX36+deHFVywf2gnLMnWSpD+1If8f
 pV162nKifPwAAAAASUVORK5CYII=

Package: drnoksnes-dbg
Architecture: any
Section: devel
Depends: drnoksnes (= ${Source-Version})
Description: Debug symbols for the DrNokSnes emulator

=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,7 @@
 else
 	echo CONF_XSP=1 >> config.mk
 endif
+	echo CONF_ZEEMOTE=1 >> config.mk
 	echo ASFLAGS="$(ASFLAGS)" >> config.mk
 	echo CFLAGS="$(CFLAGS)" >> config.mk
 	echo CXXFLAGS="$(CXXFLAGS)" >> config.mk

## drnoksnes 1.3.2

=== debian/changelog ===
drnoksnes (1.3.2) unstable; urgency=low

  * Translating the key mapping dialog.
  * Fixing bugs with Zeemote support.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 13 Mar 2010 20:10:23 +0100

=== debian/control ===
Source: drnoksnes
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev,
 maemo-version (<< 5.0) | libsdl-haa1.2-dev,
 libbluetooth2-dev | libbluetooth3-dev, libzeemote-dev, libzeemote-conf-dev
Standards-Version: 3.7.2

Package: drnoksnes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup
Pre-Depends: maemo-select-menu-location
Description: Super Nintendo Entertainment System emulator
 A Super NES emulator. It allows you to play some games designed for the SNES
 and Super Famicom Nintendo game systems on your tablet.
XSBC-Bugtracker: 
 https://garage.maemo.org/tracker/?func=add&group_id=1014&atid=3790
XB-Maemo-Display-Name: DrNokSnes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAABwxJREFUSMe9
 lm1wlNUVx3/3Ps+zu8/uZnfzok0gIQQkEN6UwRAQQaQSQMdW21KKxU51xumL49DR
 L/1QtXX80k5Lmc60M7XT2plia2U6FUEQC4EgrWAgicFIDCEJCUnQkLfNvmT3ee69
 /RCgSlvb6YfemTtzZ86553/PPef8z4H/0xKfJmw81sBd69YDcLatrTwcdndEIuG6
 YDBQkc/nB9LpzKlMJrtr8ZKl/f8T0BsHXmfTvfcB0NvT9ZIbCj00lcvi5abwvbzS
 WhkppbCdgOUEXEIhl+zU1Cuzq27Z+l8DPfXkd/jJzl2cfbdlR2FRYlc2nfRHRsft
 jr4rpDJ58r5Ca4OUAseWRN0ACypvoqQw7rvRuD02Ov7UkluX7axZMJ9zHR/8a6A/
 /uF3bN32MOfa2w4FHLt+ZHSEU+39eL5GSgHGYG58pRBobbAtQd2iCoqLS/A8/3DN
 oqUbPm5bXjvs/PEP2brtYd5ra26yLD7b1dtPY3M3nq8AjdYaT2mKooLKYkFRVOAr
 jdbTcl9pGlt66OrpQ0pz93ttZ1oAVq1c8c8eNRx+4+kZM0p/0Nt/WbR1DSHkP8RG
 wy2lkvZBODfkU1Nmc1uFoGNQfcKKUoZb55Uyu6KMy0MfPrduff2zQohpFWMMQgi7
 4/1WbyKZ5PA757Gt687iK8P8GQF+2zDI/lOXQErwFfeuLGfbmhkMjvmfiLOvNPfU
 ziMWi1Gz6Lbgr375c19Of7Og4fDB17Tv+cebLyAFKKVQSuH5ipryEAUBn/1NSQgl
 IBCHcCEHmpIUh318X13XV0ohheHYmfMoL+8fPXxw32PfeFzb115xc0nx5vFkimwu
 jxTiuicLZ0UIOpKcBxF7nEy4GqM8sAK46gNGUxpfqemAC8HVq+SVZnwyZZeUFNcD
 0gJ44vFvrlm2bOkjTe29ZKbyaK1R2lBdHiEWFNMBkhZLbs5z5EQLRkVgpJUfba/i
 w1SAuTMjlBY7uI5kLJXHmOncnEznKC8tJB6LHbcBVtQuf0KAuTKeEuoqSFVphHEv
 zcvDH+JpzcaiUubNreKFHQVk0mlisVUMTdosKAsRPduL7h8iUlNFQXUZrZ0TSCkY
 mUghgSWLF37bBkgk4sukQKczOcu2LYyBXH6c715oYTI1CcBxt4tnK5ewuLISSwra
 uyeoroygX9zHcM9FbNtGtbQiahdTuqKOy6MZ0jkPISCRSNwmAZyAEzMYcp6HUgow
 nL48QFZoiLgQccnbgreG+hBS0NY1yuI5Ca6kUoQu9FHiBEgISbHtEDh5loA7XWN5
 zwdjsG2rQAJMTCSzRmswoLTG8xUVOPjGh1gYYmF8C6pFiNbOERZVFaK0ISgEPV6W
 UidIoWVT5gQ5Fw+QHM+itMZg0EYzMZnKSICLvX2dnq9k0LHQSuN7Pq5bwqaeNDR3
 Qut51rx/BdcuYUlVEdm8JudpCiMRBh68i19fvsjpoUF+OnqJwi0b6f8ojfIVQdvC
 9xWX+i512wAH3nhz9x131G2IF7h8NJrEGBgcU9xas4q1dg6BYXjKYeH8CoKTHxAd
 fhvpuEzEV1JXu5zBinKSkyk2fKaEMxdSIMBXipJElEw2x1+OHH3pGnnMePPg3oFA
 yOWVQ03TBHqVn/RVFnWDFstKRpiVehNfTf99KByls+BL3FRWTjBgs/9EN77SGGPw
 lebL9bV4+SwbNz9QdY1nBs80t3S6AUtJKa7WkcbXGm2mt2OBSHYRj0coTkQpLiwg
 GoTU6CBuwGZv43lyeQ9fKbTWWFLgBizd3NzaBfR+nFTX7nt1T2M8EefFvSdwbOsT
 /OVYkpnBYb5Y3kKiIIRtSTp6R2h2HqRzGPKeul6onq945PNrmBgf5/4Htqw3xhz9
 uLWLrhtavWB+9dzy0hI6egaRQmIMGAOe0sQSRRw6Pcx773fT0DbGOb2cwUwYzwdt
 DMbAVM5j0+qlBKThz3tfO/LY17/2/N331JsbO2zB8889072idnnRaConX29sJeDY
 XGt3RkMkCEVRCQgGRnIgHQwGgSDnedy3dhlF0YBpOt2c/N4zz80FRgCsG4DyDUcb
 /zR37pxHZ88qC65evpB3O/uYynkIBAjIK5jIwkRWY5AYY8h7CsuSPPqFdUjt0dR0
 ZvLp7z9/OzCw/atbaTvb/m+noNKHvrJlz+ZN9XfOnFGqjXTkkVPtfDQyQTqbw/N9
 HNsm7Aa4uSjO+rpF2Cg9MHhZHjh46OTvX96zBbi0e/dv2L790U8ftyorZwUvXuy7
 f8cT39q5ovb2ikgkTGEiTjjsYtsWyleks1OMjY2TyWR4p+nM0K6f/eLJOVWzX+3u
 6Z1au2Y1x9/663+e64QQwkynUQxYu2D+vM+tWll3Z0X5zJnRaDScTqez/ZcGBt4+
 eepv5zo69wLHgKTjOMLzPHOjvb8DU7Jc01sC1qoAAAAASUVORK5CYII=

Package: drnoksnes-dbg
Architecture: any
Section: devel
Depends: drnoksnes (= ${Source-Version})
Description: Debug symbols for the DrNokSnes emulator

## drnoksnes 1.3.3

=== debian/changelog ===
drnoksnes (1.3.3) unstable; urgency=low

  * Minor fix to control file. 

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 22 Mar 2010 19:08:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,13 @@
 CFLAGS := -Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
 CXXFLAGS := -Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
 GUI_CFLAGS := -std=c99 -fPIC -shared $(CFLAGS)
-LDFLAGS := -Wl,-z,defs
+LDFLAGS := -Wl,-z,defs -Wl,-O1
 GUI_LDFLAGS := -export-dynamic -avoid-version -module -shared $(LDFLAGS)
 ASFLAGS := -g
+
+# Compiler optimization settings
+OPT_CFLAGS := -O2 -fomit-frame-pointer -ffast-math
+OPT_CXXFLAGS := $(OPT_CFLAGS) -fno-exceptions -fno-rtti
 
 M4=m4
 M4DEFS=-DMAEMO_MAJOR=$(MAEMO_VERSION)
@@ -38,8 +42,8 @@
 	CXXFLAGS += -O0
 	GUI_CFLAGS += -O0
 else ifneq (,$(findstring armel,$(ARCH)))
-	CFLAGS += -O2 -ffast-math
-	CXXFLAGS += -O2 -ffast-math -fno-exceptions -fno-rtti
+	CFLAGS += $(OPT_CFLAGS)
+	CXXFLAGS += $(OPT_CXXFLAGS)
 	GUI_CFLAGS += -Os
 	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
 		CFLAGS += -march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
@@ -50,8 +54,8 @@
 		CFLAGS += -static-libgcc
 	endif
 else ifneq (,$(findstring i386,$(ARCH)))
-	CFLAGS += -O2 -ffast-math
-	CXXFLAGS += -O2 -ffast-math -fno-exceptions -fno-rtti
+	CFLAGS += $(OPT_CFLAGS)
+	CXXFLAGS += $(OPT_CXXFLAGS)
 	GUI_CFLAGS += -O2
 else
 	# Don't support anything else

## drnoksnes 1.3.4

=== Makefile ===
--- 
+++ 
@@ -128,7 +128,11 @@
 install: gui_install
 endif
 
-distclean: clean
+profclean: clean
+	find . -name '*.gcno' -delete
+	find . -name '*.gcda' -delete
+
+distclean: profclean clean
 	rm -f config.mk
 
 .PHONY: all clean remake deps install gui gui_clean distclean

=== gui/Makefile ===
PKGS:=gtk+-2.0 hildon-1 hildon-fm-2 libhildonmime gconf-2.0 gnome-vfs-2.0 x11
CPPFLAGS:=$(shell pkg-config --cflags $(PKGS))
LDLIBS:=$(shell pkg-config --libs $(PKGS))

-include config.mk

# The about dialog will use this
CPPFLAGS+=-DGAME_VERSION=$(GAME_VERSION)

GETTEXT_PACKAGE:=drnoksnes_plugin
ifeq ($(CONF_NLS), 1)
	CPPFLAGS += -DCONF_NLS=1 -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\"
endif

# Some hardcoded paths
GAME_SHARE_PATH=/usr/share/games/drnoksnes
GAME_PLUGIN_PATH=/usr/lib/drnoksnes_plugin.so
GAME_CONF_PATH=$(GAME_SHARE_PATH)/drnoksnes.conf
GAME_BIN_PATH=/usr/games/drnoksnes
GAME_BANNER_PATH=/usr/share/pixmaps/osso-games-startup-drnoksnes.png

M4:=m4
M4DEFS:= -DGAME_VERSION=$(GAME_VERSION) -DGAME_PLUGIN_PATH=$(GAME_PLUGIN_PATH)
M4DEFS+= -DGAME_CONF_PATH=$(GAME_CONF_PATH) -DGAME_BIN_PATH=$(GAME_BIN_PATH)
M4DEFS+= -DGAME_BANNER_PATH=$(GAME_BANNER_PATH)
ifdef MAEMO_VERSION
M4DEFS+= -DMAEMO -DMAEMO_MAJOR=$(MAEMO_VERSION)
endif

XGETTEXT:=xgettext
XGETTEXT_OPTS:=--default-domain=$(GETTEXT_PACKAGE) --from-code=UTF-8 \
	--language=C --msgid-bugs-address=maemo@javispedro.com \
	--package-name=DrNokSnes --package-version=$(GAME_VERSION) \
	--keyword=_ --keyword=N_
EXTRA_GETTEXT_SRCS:=buttons.inc

SRCS:=plugin.c state.c save.c controls.c keys.c settings.c about.c \
	 cellrendererkey.c
OBJS:=$(SRCS:.c=.o)

POT:=i18n/$(GETTEXT_PACKAGE).pot
PO_FILES:=$(wildcard i18n/*.po)
MO_FILES:=$(PO_FILES:.po=.mo)
LANGS:=$(basename $(notdir $(PO_FILES)))

DATA_FILES:=drnoksnes.conf drnoksnes.desktop
DATA_FILES+=drnoksnes.service drnoksnes.startup.service
DATA_FILES+=drnoksnes.schemas

all: drnoksnes_plugin.so $(DATA_FILES) $(MO_FILES)

drnoksnes_plugin.so: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

$(POT): $(SRCS) $(EXTRA_GETTEXT_SRCS)
	$(XGETTEXT) $(XGETTEXT_OPTS) -o$@ $^

$(MO_FILES): %.mo: %.po
	msgfmt -c -o $@ $<

$(PO_FILES): %: $(POT)
	msgmerge -U $@ $(POT)
	@touch $@
	
clean: 
	rm -f drnoksnes_plugin.so *.o
	rm -f $(MO_FILES)
	rm -f $(DATA_FILES)

%: %.m4
	$(M4) $(M4DEFS) $^ > $@

install: all
	install -d $(DESTDIR)$(GAME_SHARE_PATH)
	install drnoksnes_plugin.so $(DESTDIR)$(GAME_PLUGIN_PATH)
	install -m 0644 drnoksnes.conf $(DESTDIR)$(GAME_CONF_PATH)
	install -m 0644 drnoksnes.desktop $(DESTDIR)/usr/share/applications/hildon/
	install -m 0644 drnoksnes.service $(DESTDIR)/usr/share/dbus-1/services/
	install -m 0644 drnoksnes.startup.service $(DESTDIR)/usr/share/dbus-1/services/
	install -m 0644 icons/main_26.png $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/drnoksnes.png
	install -m 0644 icons/main_40.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/drnoksnes.png
	install -m 0644 icons/main_48.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/drnoksnes.png
	install -m 0644 icons/main_64.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/drnoksnes.png
	install -m 0644 icons/banner.png $(DESTDIR)$(GAME_BANNER_PATH)
	install -m 0644 drnoksnes.schemas $(DESTDIR)/usr/share/gconf/schemas/
ifneq ($(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL),1)
	gconftool-2 --makefile-install-rule $(DESTDIR)/usr/share/gconf/schemas/drnoksnes.schemas > /dev/null
endif
	for lang in $(LANGS); do \
		install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES ; \
		install -m 0644 i18n/$$lang.mo \
		 $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo ; \
	done

.PHONY: all clean install

=== debian/changelog ===
drnoksnes (1.3.4) unstable; urgency=low

  * Removed zeemote support since it was not ready for extras yet. 

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 22 Mar 2010 23:16:46 +0100

=== debian/control ===
Source: drnoksnes
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev,
 maemo-version (<< 5.0) | libsdl-haa1.2-dev,
 libbluetooth2-dev | libbluetooth3-dev, libzeemote-dev, libzeemote-conf-dev
Standards-Version: 3.7.2

Package: drnoksnes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup
Description: Super Nintendo Entertainment System emulator
 A Super NES emulator. It allows you to play some games designed for the SNES
 and Super Famicom Nintendo game systems on your tablet.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1014&atid=3790
XB-Maemo-Display-Name: DrNokSnes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAFBdJREFUaN61
 mnmQXMd93z/d7543Mzu7s7PYA4ubAAGCNxmetkSRYkiRlETTslKKSybtyDLtUI5z
 uCqRSzEV2UopsiU5JdmW7FCW5IqiiyIN8BCP0AoP8wB4gTiIg1hg72t2rjfv7M4f
 M7vAApQtlqWu6pp6M29e/37dv/7+vr9vP/gZNa31z/X+n0trNmr/lJFSa21orY2f
 lzPindx85M2DbNl6Lrt3PSjed8ttUgiRAfzZF7/k3XTzjRts274WzbWmZe4wDKPf
 ssxhIYSptVZJko5nmVpMk+QAQjwdx9HTjz76+NF7PnFPu+uE8dW/+Ir6+N2/o8fe
 OsL6jVt+tg784Hvf4fY7PoQQp/7y3LNPnz86Onob6F+UUr7bMAxHqQyVZWRZhtYK
 rTVCCISQGIaBNAykNMiyLFFK/xjBjyfGJx684sqrXzl9RU4f55/twPe+823u+NCH
 hRBCA3zrm9+oXHXVFZ/yPO9XBZS0VqRJTByHaRzHMk1TkWUKpTKxbIyUhjYMiWma
 2rZtZdmOaVkOQkg0NNvt9rf27z/w3257/wcn34kTP5UDOgulMFz12U9/xr/9lz/w
 7/x8/j8I6E2SiDSJknY7FI0gNFrtSNSaIa0wIU0V7TiBbni7jollSHKeRcl38T1H
 F3w381xPm7ZjWbaD1iy1Ws0vPPiDXX/6+5/8z81adc7o6a1kWmt+/a5f476vf+On
 d+C/f/YzvP+2W9mx8yIAvvrVr6x/z3XX/a3netckSUwUBioM28wuNuRctUW1GdKO
 UqQUnYcKEKc9XqNBg9agtMa1TXoLDpWSz5q+gnK9HLbjSdt2aIftF1548cV//ZGP
 fPTIP7USP/GXo4cPsPmc7QA88dgj79qwccM3LNNcF4dBEkWhNbtY5/jUEkutkCzT
 GFIghUD/lHGrtCbNFKYh6ck7bBgsMdDXg+O4mePljCRNT44dP3Hne2648UmAx370
 kHjvje/T7ziEnn367z86OLjma0IKOwxaaRAE5tHxecbnGijdMVwgOjN8WlMK1Glf
 SQFSnjl4539ZphEC1laKbF5bxvf9zPV8Q2udzczMfOyqa951n9ZaCiHUmSsizzT4
 K1/+ElprAfD4Yw/dMTBQuQ+0HQVNVa3Vzb2HJhib6eC/IcVKSOjTwkNryDmC/qJk
 sCSpFCU5p3Nvps6+1zAEQsCJ2Rp7D01SXaob7aChtFZGpVL5X08+/siHu8bLM8PJ
 PP3i3v/6B9z9259ACKH/5ut/ddnI8Mh9oGUUBmqh2pCvHp6i2Y6xDInuDn7mrAsJ
 gz2Cki8wZKcrpUkVNEPBTE0RpRopTk9knU9DCKr1NnsOTXDROUOy3Iu2HU8MDQ19
 7VvfuO+4EOL5Zn3ByBfL2VkhdPrS/MZdv1a5557ffiyfz18YhkFar7fMvYcmaLVj
 TFOizrBcdI3QwFBJ4juasQXBeBXqEeRtGO2DDX0aLQxOLmTEXSc0Z4dVkmbkczYX
 bx2h1JPXjuOJVqu178tf/ovrv/bX982+8PzT8vLzz1ci1/P2e+CJxx/+4ujatb+b
 pUnaDFrmngPjVOttTFPydllf01mNtX0mho54fH/MK8dbHDg2SdBs4/ou2zeNcOH6
 HDftdNCGy4mFZBVKrXJCQJoqSgWXy7aP4udyqWnZ5snx8S9ff8PN//b0yV7ZA48/
 ulsAfPaPPn1ppdJ/d5YmZGlivjk2x0ItWAmFTuic6lmmUJlmsGRS8hRPvr7Erj1z
 7Dk4ThAphOsRRoqXD42ze88cT7xexZYJniW7++HsrlQHHBZqAYfGZknTxEzThEql
 /3e+8Cefu1IIwVNPPipXOXD9je8D4Oqrr/yUaRi2UpmaWahxYqaKFJAphXqbrrVm
 uM9iqNdiqd7miTeaNEINhouwc2jpguOD4dKIND96vUkrCHEtyDKF1m//3EwppBSc
 mK4ys1BDZSmmNLj0kos+CfCu627UIyNrT21iIYT+/Oc+++6879+glSKJY3H4xBxp
 qjANcVboaEArzdp+l8FeG5WlhFHE2EKEkh5Y3ur4NiBMBWPzbeI4RtpuZ0Ul/GNk
 NEkzjpycp7+Ux7Ylvu+/5wt/8rnrhRBP7H3hGWMVjO7Yvu12x7FzaJVMzdfFfD1A
 Cs4KHaUUaaoY7LMZ7LU6oQCgFQUjRCsBVg5M91S3cqAkRStEaU2SLs/+24fRcpdC
 sFAPmJqvgVZYtpXbtm3L7QAXX361XnHgY79x5ybPc28SUhDFiTE5XyOOU+gafHpP
 UsVgr8VIn3MK1xH4ns0lIwrCJtL2wcyB4YDld67bDS4dUbi2RRAplFYkaUaUZMRJ
 Rpoth+WpsUATxymTczXiJEEKged6N/3mv/n1TUIIteLA5k2btvu+vxWVqVY7lHPV
 RnfjqlUzEqcZA7026wc8BCCF6GRZIfG8HO+9sI8Rexw1ebATZ1YRMoGaPMSQM8HN
 F5cJE0mjnVL0TNb0OowOeAyWHfKegdaaNF09piEFc9UGzSBE60z5fm7z5k0bd6xK
 ZGvWVK60bQullK412zSCCNsyyPSpPKE0DPW5bB5wSZOUbsLuOgKmaTM6PMBv3RTy
 8HOHef3kMRotjedqLliX47ZrtzIwUGZ8STNU9qiULAwpOxOlNUmmaAYZk/Mh7ShD
 drOdENAIIpaabYq+py3LYmBN/5XArmUHrHzevxqtyTItFmqtbujolXIvU5pKyWFD
 2Wa22eJ4mjKjEiI0vcJkrTRZa9vkcjk2bd7AR3qLLCwsEkURtm0zUCmT7ykxVVVU
 Sg79nsKYrOLW2lhRSmIbUMpRKOfYMOjx1lTQdYKViVpYajJSKUkhwPf9q4DcsgN5
 13U3aUBrJerNsDPrSnXQRoNtSkZLNscWF3iqVef16jRHZyZJk5i+YokdQ+u52M3z
 7vIAed/HcWzK/f2oTGFZBgiDo1MBxaJL0UgQe08gT84wdewt4mYT2/fp27QRRtcg
 z1/PcNnh6ESrQ0+6PLzeDFFKIaWB57qbekul/LIDnuM4/cv8phmEaKVR3R8zpRku
 uQRRi13TJ3iuMU+ttgjSAMdmMajzzNghxnsr+EnKNes24LkurgumhEzBgbEaPXmX
 So9B65l9uK8fY3F2FqE1rmWhgoDq/gMU5+aJ0jb25TvJuwZLrQRTCrTSNIIIrRFa
 KxzH6e/p6fEkgOu6tmmaue7uF+0oQS2jj9ZkSlN0JIer8zxfnydUKbguODbYJsLz
 0IZgOg54cn6COAhRXXKWKTh4okbeM9k4nKe+WMPedwQZtMkJiW/Z5IQk3/2UQYD1
 2mGiRgPHkaSZItMahSaKE1S3zjZNM2dZpmUCWJZpCCFkB7YEabcgV13GrjSYQlNr
 t6nGTUzXA2GtSmoICLOI6UQRtSO83iJKad54q0ohZ7FpuEA7yQhaAf58FcswMQ3j
 FPkBMAxElEArII4ipJ3romAnaaZZBpouvCIBwwRIkpQ4ibXWnjjFLvUpqquhHacY
 SQatiLSQ76RWrZfvBsOAWp1cJNCiAwD7j1dxbYPNw0XSrBPHqVYskNGbCFzbIlVq
 hdIZQhIlMYsiQ6UZscg6VFFplFYIYawgYhzHWZKmnUQWhqEKgnaoOiWUtiyzy32W
 w0hRbacMOjlG2hrCEOm74FhgG5BzwJJQb3G+mQPL4rUjC5iGYOtoD0nWAQNDCBw/
 x+SaEkthgG8Y5KWBKyR5w8Q3DKpBwPRgL8J2CNpJpwjqIqJpSKBjUzsMoziKVhJZ
 3Gw0a0plCAG+a3WIVtcJlGa2HlHIFfmXpUGM/SdRE3NgGZD3IIxh3zG21xSXr1nL
 oYkmppRsX9+H0gKERCCQUtJTKCAu2MrTRsremWmkUpQNAyPNeGV2mmeMFHnxNmJl
 UmvGnaIzU2SZwnftLjgqmo1mvdFopssoFC5Wq1MbsnWDti3o8T1OZIsrJSNAO0qZ
 rAsuXL+JO8OIx/cdZvy1t8iEppAJLiiVuWHnTpYSm54elx2b+gjjDK05pVIIQd51
 Gd20nsb1V/Cj5/by4+kxcnFKYEjC4TLrrrmUwXXrODEXk6lTdXSWZfTkPYQQZJmi
 Wl2aaTSb0bIDjcmp6VcvOP+8i9Fal3vzYlkxOL36qgWKOJVs3bKdwb4K9aUqWZri
 5nz6KhVqiU0hl+PcDWXCZo2iqFIQDUyRESiPuu4hNEr09/Zywfnn0ddfZmp6lna7
 Tc512Do8yODAAOMLGc1YYUjZodVCkCpFf28egdZpmorJqamXgcayA/HY8bEXm83W
 nTnPo5T38D2bKE6QcjWVbrY1QQSe209hqA8pNJmWzIYghcHGkTJhbYrB7DCicYyF
 uTGyNMQr9NM/cA7zYpSWfy795V7yeZ8No2tJ0xTHtrAsizfGasw3YixTLqMNqVLk
 XYdSIUeaZjRbLY6PnXgJaK5woX37DxyenJpaKPWWyvmco4b6e+TBt6bIufYq9bjj
 kKARKpQSK5tTodk40oORtcgtvYyZHqZRW8Q2JcLKoaIawfRr9BbnWYpM7MEdFPI+
 vu9jGh0ceungDHO1qGv8qTHDKGH9cJlCzqEdhnJqanpp3xv731xVke3bt//lyYmp
 Z4MgQKD1+uEytmV0c8JqSo1WGFJgmxLHNDDNTnWec23S+iS96XEMoSn4OfK5zmoW
 8gU828SlSaF1gEYQAxrDECgNew/NMj7bYcBZdmqsNM2wLYP1Q2UEmnbQZmpy6tl9
 +/a/cqYuNP/8Cy89NT83T9COjHWDfbrSWyBK0rNrVq3JlCLt9qwLtVJAGgU4uo7r
 mPg5h5xnk/Mccp6F73s4IsLIGgRBiGl0RII9B6c5PrWElJxF36MkodJbYP1QmaAd
 sbC4yPMvvPR/gTmttTDPkFUeuubaq+7q6+vb6bm2vnTHBjExVyXNsn9Un+yIVBDF
 CTqBuVCytddECHMVCNimZHEpZbZlYPR3JuKVN2cZm651AEOtri0zpRBCcNG569FK
 EQQBx4+feOPhRx/brbVmaHjNqRXoGnjsgQd2/838/AL1RksOV4rs3DxCnLx9ZXZ6
 YY9WtFohiSxyaDFPGGeUijnyOYec61AqeLi2xfhCxlQ8gGOZvHhgmqMT1Q5cn/FM
 tCZJUs4/Zy3DlSL1RpP5+QUeevjRbwLHhRBMT82eJS3GL+3Ze/+LL+39cRAENJuB
 uuy8jQz19xCE8cpKnS2DdOjAbLUJdoE54xzuf77KoRM1fNdmTa9HO1I8tmeaZ8YL
 GKVNHB6v8tZktVtzq67MeKoHYcxgfw+Xn7eRVitQQRDw4kt7n3vm2X94QGvdBugp
 FvVKXBQLBeqNBgDlct9Hfv8//t5XztuxvadUKqgo0fLBp15modbEtS14Ww1akGaK
 /qLFQFFy8sgB6hP76DVbOIaiGlkk7hCj2y4hEnmm6ymWaZ1OB1daEMZUegvc9q6L
 yTkmi9Ul9h842Pzc57949/z8wneA2LZt4jhm5fAtiuOVB7Tb7amlpSWxaeOGX7Bt
 V/YUfL1uuCImZ6o0Wsubr6slrvSOghBEKXGiWbNmALu4hqY5QGCvxRs4h+EN22il
 DjP1FLPDI1c9RyAIo4RyqcDN115AIWezWF3i5Mlx/b+//d0/PXz46De11s17772X
 QiFPGEYYP+HUMPz4x3/rrSRN+jZuWH+hkFL0lfJsXDvAXLXOQq2JFOJtxPmOTB6E
 GfUgRZoOuXyRXKGEsPMstjS1turQ6GVBVSwLw4ooSVm7po9bfvEi8p7JwuISs7Nz
 /PDBXX/71N//vy9qrSeFEFpKQbsdLstNZ7d7771X3/WxO2vf/+79h4G1w0ND2xCC
 fM7T2zePCqU1U/NLnc0tRBcATk92EqUhiBS1tqIeZASRItMSuSJFdah4plQHvTRc
 smMDN1x1Hgaa+YUqMzOzPLjroYd27X7kj//wDz956Lrrrs96Sj2EXeN/4gFHf6Wf
 +bl5tmzbIo8cOnLJe6+/7t/feuvN/2pkeEgUinnVVyrJk9NVXnzjGJOzVaI4wbYt
 jK7crM8QaldXPp1Rs0wRxSmOYzFUKXHFzs2MDJRYqtd1s9kSExOT7N79yHcefeyJ
 z3/4V+547dv/53uRn/dpNVurIF38pIPn5Zt+6fb32z+4/8Fzdp634zc/dMcH79py
 zuaC67pUyn3YjsPY5DxHTs5yfHKOWiPAkBLRZZ5CiOVyZ5Vwq7SmmPdYP1xhy+gA
 G0cqJHHM3PwiYRRy+PDR8IcP7Prrl1959au//EsfOPjd7/8wFkLwx5/5FP/lDz79
 zk8p09aCNP3ySLFQuOOW9930q1decdml5XKZnp4ivaUeDNOk2Y5ZrLWYnF1kvtqg
 1Y6oNYLu0ZOgp5DDdx36e/MMD/TR1+NT8B2yJGGp1qBerzM/v8A/vPDSK7t2P/Kt
 er1+///8wv84cc/v/ac053l8/S//nF/56J3v/Ji1p1ikVq8vX/YCO4eHBm/6wG23
 fPDcc7dt7+8vi1zOw3Vs7bouhmkipSGklCsnlcsnlJ0kleksTQnDiCiORStoszC/
 wMGDh97c/fCj94+dOPkI8KrWSU0IS50O7//sVw0AfvcTd8sv/dmf9wOX7Ny549Z/
 cdklvzA6OrpleHgol8/7GNJAGhLTMDAMAyFE9xwhI82yjnSeKVrNJpNT09HJk+Nv
 vrhn7zOvvbbv74BXbr3lptldux9JOzW+wdqRYcZOnPzZObDc7vjg++3v//DBCrBl
 zZqBK0aGh3asX7du29DgmpFyua/X932vUMgby3up3miqoNlqLywuVqdnZiaOj518
 c3xi4sDMzOzzwOHbP3DbzP0P/F28TGtM0yRJkp/tyx5nHostv5EihPCBHmAAGDRN
 s880jIJhGrmu/ppladZKs6yZpukiMA3MArVXX36+deHFVywf2gnLMnWSpD+1If8f
 pV162nKifPwAAAAASUVORK5CYII=

Package: drnoksnes-dbg
Architecture: any
Section: devel
Depends: drnoksnes (= ${Source-Version})
Description: Debug symbols for the DrNokSnes emulator

=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,6 @@
 else
 	echo CONF_XSP=1 >> config.mk
 endif
-	echo CONF_ZEEMOTE=1 >> config.mk
 	echo ASFLAGS="$(ASFLAGS)" >> config.mk
 	echo CFLAGS="$(CFLAGS)" >> config.mk
 	echo CXXFLAGS="$(CXXFLAGS)" >> config.mk
